Bug 198694 - new port: databases/py-mssql2 updated MS-SQL connection python library
Summary: new port: databases/py-mssql2 updated MS-SQL connection python library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-18 23:23 UTC by Henrik Hudson
Modified: 2015-09-28 18:38 UTC (History)
1 user (show)

See Also:


Attachments
shar file (2.68 KB, text/plain)
2015-03-18 23:23 UTC, Henrik Hudson
no flags Details
poudriere log (18.14 KB, text/x-log)
2015-03-18 23:23 UTC, Henrik Hudson
no flags Details
py-pymssql port reworked (2.76 KB, patch)
2015-09-26 07:19 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Hudson 2015-03-18 23:23:04 UTC
Created attachment 154495 [details]
shar file

new port due to major dependency changes from version 1.x to 2.x .
 -change adds cython and py-setuptools-git as dependencies

shar archive and poudriere build log attached.

also depends on the version bump for devel/py-setuptools-git I submitted.

description:
PyMSSQL is a MS-SQL database adapter for the Python programming
language. It was written from scratch using FreeTDS library.
Comment 1 Henrik Hudson 2015-03-18 23:23:50 UTC
Created attachment 154496 [details]
poudriere log
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2015-09-26 07:19:14 UTC
Created attachment 161410 [details]
py-pymssql port reworked

Hello,

I reworked your submission slightly to better fit FreeBSD ports. It is now ready to commit passing all QA checks. Would you approve? 

What is changed:
1. PORTNAME changed to pymssql to conform upstream. 
2. PyPi mirrors used instead of github.
3. Installed libraries are now stripped.
4. Patch was regenerated with make makepatch.
Comment 3 commit-hook freebsd_committer 2015-09-28 18:36:27 UTC
A commit references this bug:

Author: rm
Date: Mon Sep 28 18:36:12 UTC 2015
New revision: 398133
URL: https://svnweb.freebsd.org/changeset/ports/398133

Log:
  PyMSSQL is a MS-SQL database adapter for the Python programming
  language. It was written from scratch using FreeTDS library.

  This is the version 2 release branch.

  WWW: http://www.pymssql.org/
  WWW: https://github.com/pymssql/pymssql

  PR:		198694
  Submitted by:	ports@thelanman.net (based on)

Changes:
  head/databases/Makefile
  head/databases/py-pymssql/
  head/databases/py-pymssql/Makefile
  head/databases/py-pymssql/distinfo
  head/databases/py-pymssql/files/
  head/databases/py-pymssql/files/patch-__mssql.pxd
  head/databases/py-pymssql/pkg-descr
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2015-09-28 18:38:22 UTC
Committed, thank you!